# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    router:
        default_uri: 'https://demo.fundup.fr'

    # Note that the session will be started ONLY if you read or write from it.
    session: 
        cookie_lifetime: 86400    # Durée de vie du cookie de session en secondes (24 heures ici)
        gc_maxlifetime: 86400     # Durée de vie de la session sur le serveur (24 heures ici)
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
        cookie_secure: auto  # Assure que les cookies ne sont envoyés que via HTTPS si le site est en HTTPS
        cookie_samesite: strict  # Protéger contre les attaques CSRF en empêchant l'envoi de cookies cross-site

    #esi: true
    #fragments: true

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
